GNU bug report logs - #9569
multibyte: tr: TR operates on bytes, not characters

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: Milos Sramek <sramek.milos@HIDDEN>; merged with #9365, #10880, #12192, #13362; dated Wed, 21 Sep 2011 19:59:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'multibyte: tr: TR operates on bytes, not characters' from ':upper: and :lower: not working with tr and utf8 characters' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 9365 9569 10880 12192 13362. Request was from Pádraig Brady <P@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 9365 9569 10880 12192. Request was from Jim Meyering <jim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 9365 9569 10880. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 9365 9569. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 9569 <at> debbugs.gnu.org:


Received: (at 9569) by debbugs.gnu.org; 24 Feb 2012 17:30:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 24 12:30:18 2012
Received: from localhost ([127.0.0.1]:54416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S0yyH-0004Nr-SY
	for submit <at> debbugs.gnu.org; Fri, 24 Feb 2012 12:30:18 -0500
Received: from mailout-us.gmx.com ([74.208.5.67]:33164
	helo=mailout-us.mail.com) by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <marton.kadar@HIDDEN>) id 1S0wnR-0000iZ-9O
	for 9569 <at> debbugs.gnu.org; Fri, 24 Feb 2012 10:10:58 -0500
Received: (qmail 21270 invoked by uid 0); 24 Feb 2012 15:08:16 -0000
Received: from 145.236.252.34 by rms-us015 with HTTP
Content-Type: text/plain; charset="utf-8"
Date: Fri, 24 Feb 2012 10:08:15 -0500
From: "Marton Kadar" <marton.kadar@HIDDEN>
Message-ID: <20120224150815.107140@HIDDEN>
MIME-Version: 1.0
Subject: Duplicate of 9365
To: 9569 <at> debbugs.gnu.org
X-Authenticated: #77717673
X-Flags: 0001
X-Mailer: GMX.com Web Mailer
x-registered: 0
Content-Transfer-Encoding: 8bit
X-GMX-UID: iMI1b75I3zOlOMiDynAh16p+IGRvb4Dj
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 9569
X-Mailman-Approved-At: Fri, 24 Feb 2012 12:30:15 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

This is the same error as 
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9365
although it gives some examples too.




Information forwarded to bug-coreutils@HIDDEN:
bug#9569; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Sep 2011 19:58:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 15:58:22 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R6Sw0-0003UG-QH
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2011 15:58:22 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sramek.milos@HIDDEN>) id 1R6SmI-0003Fp-89
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2011 15:48:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sramek.milos@HIDDEN>) id 1R6Sm1-0001U9-36
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2011 15:48:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:57728)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sramek.milos@HIDDEN>) id 1R6Sm1-0001U4-0L
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2011 15:48:01 -0400
Received: from eggs.gnu.org ([140.186.70.92]:50138)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sramek.milos@HIDDEN>) id 1R6Sm0-0000c8-8f
	for bug-coreutils@HIDDEN; Wed, 21 Sep 2011 15:48:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sramek.milos@HIDDEN>) id 1R6Slz-0001Ts-7I
	for bug-coreutils@HIDDEN; Wed, 21 Sep 2011 15:48:00 -0400
Received: from mail-fx0-f41.google.com ([209.85.161.41]:36795)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sramek.milos@HIDDEN>) id 1R6Sly-0001Tm-OW
	for bug-coreutils@HIDDEN; Wed, 21 Sep 2011 15:47:59 -0400
Received: by fxh17 with SMTP id 17so2303888fxh.0
	for <bug-coreutils@HIDDEN>; Wed, 21 Sep 2011 12:47:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=message-id:date:from:user-agent:mime-version:to:subject
	:content-type:content-transfer-encoding;
	bh=oke+6AsuRNzb6A9S7o9t7xh9SVkQI4Kkjq0+MfWFZlg=;
	b=xfylY+Jrq1m/auRvoY9Le/QXD/qZRPwRE9OAmHou7O5ARj8zMHmMxF/ZUbaUoY2jug
	Qf7AZWulTQGaqtyTKFhpK+zIhJMKCKZ8+dvggyIKgWAeI45nr0u+bGmXbjfvAlGERUQr
	0swTzLxCh69MGhjHFBSqGHKhb19uDd657yJek=
Received: by 10.223.25.208 with SMTP id a16mr1691468fac.19.1316634477008;
	Wed, 21 Sep 2011 12:47:57 -0700 (PDT)
Received: from [192.168.1.13] (adsl-195-168-244-235.dynamic.nextra.sk.
	[195.168.244.235])
	by mx.google.com with ESMTPS id e17sm5174794fae.17.2011.09.21.12.47.55
	(version=TLSv1/SSLv3 cipher=OTHER);
	Wed, 21 Sep 2011 12:47:56 -0700 (PDT)
Message-ID: <4E7A3F6B.6000207@HIDDEN>
Date: Wed, 21 Sep 2011 21:47:55 +0200
From: Milos Sramek <sramek.milos@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.21) Gecko/20110831 Thunderbird/3.1.13
MIME-Version: 1.0
To: bug-coreutils@HIDDEN
Subject: =?UTF-8?B?OnVwcGVyOsKgYW5kIDpsb3dlcjogbm90IHdvcmtpbmcgd2l0aCB0ciA=?=
	=?UTF-8?B?YW5kIHV0ZjggY2hhcmFjdGVycw==?=
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 21 Sep 2011 15:58:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hello,

there seems to be a bug in tr: utf8 characters are not converted using
:upper: and :lower:

For example:
$ echo lľsšcčtťzž | tr [:lower:] [:upper:]
LľSšCčTťZž

AWK does it correctly
$ echo lľsšcčtťzž | awk '{ print toupper($0) }'
LĽSŠCČTŤZŽ

Used system: Ubuntu 10.10, my locale settings are
$ env locale
LANG=sk_SK.utf8
LC_CTYPE="sk_SK.utf8"
LC_NUMERIC=en_US.utf8
LC_TIME="sk_SK.utf8"
LC_COLLATE="sk_SK.utf8"
LC_MONETARY="sk_SK.utf8"
LC_MESSAGES="sk_SK.utf8"
LC_PAPER="sk_SK.utf8"
LC_NAME="sk_SK.utf8"
LC_ADDRESS="sk_SK.utf8"
LC_TELEPHONE="sk_SK.utf8"
LC_MEASUREMENT="sk_SK.utf8"
LC_IDENTIFICATION="sk_SK.utf8"
LC_ALL=

Observed on other systems, too.

thank you
Milos

-- 
email & jabber: sramek.milos@HIDDEN





Acknowledgement sent to Milos Sramek <sramek.milos@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#9569; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 15 Oct 2018 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.